net.sf.jasperreports.engine.export

## Interface JRExporterContext

- All Known Subinterfaces:
    JExcelApiExporterContext, JRCsvExporterContext, JRDocxExporterContext, JRGraphics2DExporterContext, JRHtmlExporterContext, JROdsExporterContext, JROdtExporterContext, JRPdfExporterContext, JRPptxExporterContext, JRRtfExporterContext, JRTextExporterContext, JRXlsExporterContext, JRXlsxExporterContext, JRXmlExporterContext, JsonExporterContext
  All Known Implementing Classes:
    HtmlExporter.ExporterContext, JExcelApiExporter.ExporterContext, JExcelApiMetadataExporter.ExporterContext, JRAbstractExporter.BaseExporterContext, JRCsvExporter.ExporterContext, JRCsvMetadataExporter.ExporterContext, JRDocxExporter.ExporterContext, JRGraphics2DExporter.ExporterContext, JRHtmlExporter.ExporterContext, JROdsExporter.ExporterContext, JROdtExporter.ExporterContext, JRPdfExporter.ExporterContext, JRPptxExporter.ExporterContext, JRPrintServiceExporter.ExporterContext, JRRtfExporter.ExporterContext, JRTextExporter.ExporterContext, JRXhtmlExporter.ExporterContext, JRXlsExporter.ExporterContext, JRXlsMetadataExporter.ExporterContext, JRXlsxExporter.ExporterContext, JRXmlExporter.ExporterContext, JsonExporter.ExporterContext

      public interface JRExporterContext

  A context that represents information about an export process.
  Version:
    $Id: JRExporterContext.java 6924 2014-02-25 13:02:23Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JasperPrint` | `getExportedReport()` Returns the report which is currently exported.
    `JRExporter` | `getExporter()` Deprecated. Replaced by `getExporterRef()`.
    `Exporter` | `getExporterRef()` Returns the current exporter.
    `java.util.Map<JRExporterParameter,java.lang.Object>` | `getExportParameters()` Deprecated. To be removed.
    `java.lang.String` | `getExportPropertiesPrefix()` Deprecated. Replaced by `JRAbstractExporter.getExporterPropertiesPrefix()`.
    `JasperReportsContext` | `getJasperReportsContext()`
    `int` | `getOffsetX()` Returns the current X-axis offset at which elements should be exported.
    `int` | `getOffsetY()` Returns the current Y-axis offset at which elements should be exported.
    `java.lang.Object` | `getValue(java.lang.String key)`
    `void` | `setValue(java.lang.String key, java.lang.Object value)`

- - ### Method Detail

    - #### getExporter

          JRExporter getExporter()

      Deprecated. Replaced by `getExporterRef()`.

    - #### getExporterRef

          Exporter getExporterRef()

      Returns the current exporter.
      Returns:
        current exporter

    - #### getJasperReportsContext

          JasperReportsContext getJasperReportsContext()

    - #### getExportedReport

          JasperPrint getExportedReport()

      Returns the report which is currently exported.
      Returns:
        currently exported report

    - #### getExportPropertiesPrefix

          java.lang.String getExportPropertiesPrefix()

      Deprecated. Replaced by `JRAbstractExporter.getExporterPropertiesPrefix()`.

    - #### getExportParameters

          java.util.Map<JRExporterParameter,java.lang.Object> getExportParameters()

      Deprecated. To be removed.
      Returns the map of export parameters.

      The map uses `JRExporterParameter` instances as keys.

      Returns:
        the map of export parameters

    - #### getOffsetX

          int getOffsetX()

      Returns the current X-axis offset at which elements should be exported.
      Returns:
        the current X-axis offset

    - #### getOffsetY

          int getOffsetY()

      Returns the current Y-axis offset at which elements should be exported.
      Returns:
        the current Y-axis offset

    - #### getValue

          java.lang.Object getValue(java.lang.String key)

    - #### setValue

          void setValue(java.lang.String key,
                      java.lang.Object value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com